#include <QPushButton>
#include <QSignalMapper>
#include <QHBoxLayout>

#include "defines.h"
#include "EquationTemplateWidget.h"

EquationTemplateWidget::EquationTemplateWidget(QStringList paths, QWidget *parent)
    : QWidget(parent)
{
    signalMapper = new QSignalMapper;

    QHBoxLayout *gridLayout = new QHBoxLayout;

    for(int i=0; i < paths.size(); i++){
        QImage *img = new QImage(paths.at(i));

        QPushButton *bt = new QPushButton(this);
        bt->setIcon( QIcon(paths.at(i)) );
        bt->setIconSize( img->size() );
        bt->setSizePolicy(QSizePolicy::Expanding, QSizePolicy::Expanding);

        connect(bt, SIGNAL(clicked()), signalMapper, SLOT(map()) );

        signalMapper->setMapping(bt, img->text( INFO_HEADER_LATEX ) );

        gridLayout->addWidget(bt);
    }

    gridLayout->addStretch(0);
    gridLayout->setSpacing(0);
    gridLayout->setContentsMargins(0,0,0,0);

    connect(signalMapper, SIGNAL(mapped(const QString&)), this, SIGNAL(clicked(const QString&)) );

    setLayout(gridLayout);
}
